Bug 151780 - HP Laserjet 2420 has no native driver
HP Laserjet 2420 has no native driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 05:34 EST by Paul Thomas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-25 06:00:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Thomas 2005-03-22 05:34:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
Running system-config-printer correctly identifies a HP Laserjet 2420 printer attached to /dev/usb/lp0 but still prompts for a driver.  Setting generic postscript printer is a perfectly acceptable workaround.

Foomatic reports:

No match for USB device:
  mfr "Hewlett-Packard"
  model "hp LaserJet 2420"
  desc "Hewlett-Packard LaserJet 2420"
  cmdset "PJL,MLC,PCLXL,PCL,PJL,POSTSCRIPT"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run system-printer-config
2. Select /dev/usb/lp0 printer queue
3.
  

Actual Results:  Move to driver selection form.

Expected Results:  Driver should have been picked up automatically.

Additional info:

See above.
Comment 1 Tim Waugh 2005-04-12 06:34:45 EDT
Fixed in CVS.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.